Index: /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.Designer.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.Designer.cs	(revision 4646)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.Designer.cs	(revision 4647)
@@ -30,18 +30,28 @@
         {
             this.components = new System.ComponentModel.Container();
-            this.grpUsers = new System.Windows.Forms.GroupBox();
+            System.Windows.Forms.Label isAnonymousLabel;
+            System.Windows.Forms.Label passwordLabel;
+            System.Windows.Forms.Label passwordAnswerLabel;
+            System.Windows.Forms.Label passwordQuestionLabel;
+            System.Windows.Forms.Label passwordSaltLabel;
+            System.Windows.Forms.Label emailLabel;
+            System.Windows.Forms.Label roleNameLabel;
+            this.bsUsers = new System.Windows.Forms.BindingSource(this.components);
+            this.bsRoles = new System.Windows.Forms.BindingSource(this.components);
+            this.scMain = new System.Windows.Forms.SplitContainer();
+            this.tabControl1 = new System.Windows.Forms.TabControl();
+            this.tabPage1 = new System.Windows.Forms.TabPage();
+            this.tabPage2 = new System.Windows.Forms.TabPage();
+            this.tabControl2 = new System.Windows.Forms.TabControl();
+            this.tabPage4 = new System.Windows.Forms.TabPage();
+            this.tabControl3 = new System.Windows.Forms.TabControl();
+            this.tabPage5 = new System.Windows.Forms.TabPage();
+            this.tabPage6 = new System.Windows.Forms.TabPage();
             this.dgvUsers = new System.Windows.Forms.DataGridView();
-            this.btnUserNew = new System.Windows.Forms.Button();
-            this.btnUserModify = new System.Windows.Forms.Button();
-            this.btnUserDelete = new System.Windows.Forms.Button();
-            this.grpRoles = new System.Windows.Forms.GroupBox();
             this.dgvRoles = new System.Windows.Forms.DataGridView();
-            this.btnRoleNew = new System.Windows.Forms.Button();
-            this.btnRoleModify = new System.Windows.Forms.Button();
-            this.btnRoleDelete = new System.Windows.Forms.Button();
-            this.scMain = new System.Windows.Forms.SplitContainer();
             this.panel1 = new System.Windows.Forms.Panel();
-            this.panel2 = new System.Windows.Forms.Panel();
-            this.applicationIdDataGridViewTextBoxColumn1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.label1 = new System.Windows.Forms.Label();
+            this.membershipDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.applicationIdDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.userIdDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.userNameDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -50,46 +60,173 @@
             this.isAnonymousDataGridViewCheckBoxColumn = new System.Windows.Forms.DataGridViewCheckBoxColumn();
             this.lastActivityDateDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.bsUsers = new System.Windows.Forms.BindingSource(this.components);
-            this.bsRoles = new System.Windows.Forms.BindingSource(this.components);
-            this.applicationIdDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.RoleId = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.RoleName = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.LoweredRoleName = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.Description = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.grpUsers.SuspendLayout();
-            ((System.ComponentModel.ISupportInitialize)(this.dgvUsers)).BeginInit();
-            this.grpRoles.SuspendLayout();
-            ((System.ComponentModel.ISupportInitialize)(this.dgvRoles)).BeginInit();
+            this.tabPage3 = new System.Windows.Forms.TabPage();
+            this.isAnonymousCheckBox = new System.Windows.Forms.CheckBox();
+            this.passwordTextBox = new System.Windows.Forms.TextBox();
+            this.passwordAnswerTextBox = new System.Windows.Forms.TextBox();
+            this.passwordQuestionTextBox = new System.Windows.Forms.TextBox();
+            this.passwordSaltTextBox = new System.Windows.Forms.TextBox();
+            this.emailTextBox = new System.Windows.Forms.TextBox();
+            this.dataGridView1 = new System.Windows.Forms.DataGridView();
+            this.roleNameTextBox = new System.Windows.Forms.TextBox();
+            this.dataGridView2 = new System.Windows.Forms.DataGridView();
+            this.roleIdDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.roleNameDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.loweredRoleNameDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.descriptionDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            isAnonymousLabel = new System.Windows.Forms.Label();
+            passwordLabel = new System.Windows.Forms.Label();
+            passwordAnswerLabel = new System.Windows.Forms.Label();
+            passwordQuestionLabel = new System.Windows.Forms.Label();
+            passwordSaltLabel = new System.Windows.Forms.Label();
+            emailLabel = new System.Windows.Forms.Label();
+            roleNameLabel = new System.Windows.Forms.Label();
+            ((System.ComponentModel.ISupportInitialize)(this.bsUsers)).BeginInit();
+            ((System.ComponentModel.ISupportInitialize)(this.bsRoles)).BeginInit();
             ((System.ComponentModel.ISupportInitialize)(this.scMain)).BeginInit();
             this.scMain.Panel1.SuspendLayout();
             this.scMain.Panel2.SuspendLayout();
             this.scMain.SuspendLayout();
+            this.tabControl1.SuspendLayout();
+            this.tabPage1.SuspendLayout();
+            this.tabPage2.SuspendLayout();
+            this.tabControl2.SuspendLayout();
+            this.tabPage4.SuspendLayout();
+            this.tabControl3.SuspendLayout();
+            this.tabPage5.SuspendLayout();
+            this.tabPage6.SuspendLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvUsers)).BeginInit();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvRoles)).BeginInit();
             this.panel1.SuspendLayout();
-            this.panel2.SuspendLayout();
-            ((System.ComponentModel.ISupportInitialize)(this.bsUsers)).BeginInit();
-            ((System.ComponentModel.ISupportInitialize)(this.bsRoles)).BeginInit();
+            this.tabPage3.SuspendLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.dataGridView1)).BeginInit();
+            ((System.ComponentModel.ISupportInitialize)(this.dataGridView2)).BeginInit();
             this.SuspendLayout();
             // 
-            // grpUsers
-            // 
-            this.grpUsers.Controls.Add(this.dgvUsers);
-            this.grpUsers.Dock = System.Windows.Forms.DockStyle.Fill;
-            this.grpUsers.Location = new System.Drawing.Point(0, 0);
-            this.grpUsers.Name = "grpUsers";
-            this.grpUsers.Size = new System.Drawing.Size(1100, 249);
-            this.grpUsers.TabIndex = 0;
-            this.grpUsers.TabStop = false;
-            this.grpUsers.Text = "Users";
+            // bsUsers
+            // 
+            this.bsUsers.DataSource = typeof(HeuristicLab.Services.Authentication.DataTransfer.User);
+            // 
+            // bsRoles
+            // 
+            this.bsRoles.DataSource = typeof(HeuristicLab.Services.Authentication.DataTransfer.Role);
+            // 
+            // scMain
+            // 
+            this.scMain.Dock = System.Windows.Forms.DockStyle.Fill;
+            this.scMain.Location = new System.Drawing.Point(0, 0);
+            this.scMain.Name = "scMain";
+            this.scMain.Orientation = System.Windows.Forms.Orientation.Horizontal;
+            // 
+            // scMain.Panel1
+            // 
+            this.scMain.Panel1.Controls.Add(this.panel1);
+            // 
+            // scMain.Panel2
+            // 
+            this.scMain.Panel2.Controls.Add(this.tabControl1);
+            this.scMain.Size = new System.Drawing.Size(1100, 556);
+            this.scMain.SplitterDistance = 47;
+            this.scMain.TabIndex = 9;
+            // 
+            // tabControl1
+            // 
+            this.tabControl1.Controls.Add(this.tabPage1);
+            this.tabControl1.Controls.Add(this.tabPage2);
+            this.tabControl1.Dock = System.Windows.Forms.DockStyle.Fill;
+            this.tabControl1.Location = new System.Drawing.Point(0, 0);
+            this.tabControl1.Name = "tabControl1";
+            this.tabControl1.SelectedIndex = 0;
+            this.tabControl1.Size = new System.Drawing.Size(1100, 505);
+            this.tabControl1.TabIndex = 0;
+            // 
+            // tabPage1
+            // 
+            this.tabPage1.AutoScroll = true;
+            this.tabPage1.Controls.Add(this.dgvUsers);
+            this.tabPage1.Controls.Add(this.tabControl2);
+            this.tabPage1.Location = new System.Drawing.Point(4, 22);
+            this.tabPage1.Name = "tabPage1";
+            this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
+            this.tabPage1.Size = new System.Drawing.Size(1092, 479);
+            this.tabPage1.TabIndex = 0;
+            this.tabPage1.Text = "User";
+            this.tabPage1.UseVisualStyleBackColor = true;
+            // 
+            // tabPage2
+            // 
+            this.tabPage2.AutoScroll = true;
+            this.tabPage2.Controls.Add(this.dgvRoles);
+            this.tabPage2.Controls.Add(this.tabControl3);
+            this.tabPage2.Location = new System.Drawing.Point(4, 22);
+            this.tabPage2.Name = "tabPage2";
+            this.tabPage2.Padding = new System.Windows.Forms.Padding(3);
+            this.tabPage2.Size = new System.Drawing.Size(1092, 479);
+            this.tabPage2.TabIndex = 1;
+            this.tabPage2.Text = "Roles";
+            this.tabPage2.UseVisualStyleBackColor = true;
+            // 
+            // tabControl2
+            // 
+            this.tabControl2.Controls.Add(this.tabPage3);
+            this.tabControl2.Controls.Add(this.tabPage4);
+            this.tabControl2.Dock = System.Windows.Forms.DockStyle.Bottom;
+            this.tabControl2.Location = new System.Drawing.Point(3, 291);
+            this.tabControl2.Name = "tabControl2";
+            this.tabControl2.SelectedIndex = 0;
+            this.tabControl2.Size = new System.Drawing.Size(1086, 185);
+            this.tabControl2.TabIndex = 0;
+            // 
+            // tabPage4
+            // 
+            this.tabPage4.Controls.Add(this.dataGridView1);
+            this.tabPage4.Location = new System.Drawing.Point(4, 22);
+            this.tabPage4.Name = "tabPage4";
+            this.tabPage4.Padding = new System.Windows.Forms.Padding(3);
+            this.tabPage4.Size = new System.Drawing.Size(1078, 159);
+            this.tabPage4.TabIndex = 1;
+            this.tabPage4.Text = "Roles";
+            this.tabPage4.UseVisualStyleBackColor = true;
+            // 
+            // tabControl3
+            // 
+            this.tabControl3.Controls.Add(this.tabPage5);
+            this.tabControl3.Controls.Add(this.tabPage6);
+            this.tabControl3.Dock = System.Windows.Forms.DockStyle.Bottom;
+            this.tabControl3.Location = new System.Drawing.Point(3, 291);
+            this.tabControl3.Name = "tabControl3";
+            this.tabControl3.SelectedIndex = 0;
+            this.tabControl3.Size = new System.Drawing.Size(1086, 185);
+            this.tabControl3.TabIndex = 1;
+            // 
+            // tabPage5
+            // 
+            this.tabPage5.Controls.Add(roleNameLabel);
+            this.tabPage5.Controls.Add(this.roleNameTextBox);
+            this.tabPage5.Location = new System.Drawing.Point(4, 22);
+            this.tabPage5.Name = "tabPage5";
+            this.tabPage5.Padding = new System.Windows.Forms.Padding(3);
+            this.tabPage5.Size = new System.Drawing.Size(1078, 159);
+            this.tabPage5.TabIndex = 0;
+            this.tabPage5.Text = "Detail";
+            this.tabPage5.UseVisualStyleBackColor = true;
+            // 
+            // tabPage6
+            // 
+            this.tabPage6.Controls.Add(this.dataGridView2);
+            this.tabPage6.Location = new System.Drawing.Point(4, 22);
+            this.tabPage6.Name = "tabPage6";
+            this.tabPage6.Padding = new System.Windows.Forms.Padding(3);
+            this.tabPage6.Size = new System.Drawing.Size(1078, 159);
+            this.tabPage6.TabIndex = 1;
+            this.tabPage6.Text = "Users";
+            this.tabPage6.UseVisualStyleBackColor = true;
             // 
             // dgvUsers
             // 
-            this.dgvUsers.AllowUserToAddRows = false;
-            this.dgvUsers.AllowUserToDeleteRows = false;
-            this.dgvUsers.AllowUserToResizeColumns = false;
-            this.dgvUsers.AllowUserToResizeRows = false;
             this.dgvUsers.AutoGenerateColumns = false;
             this.dgvUsers.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
             this.dgvUsers.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
-            this.applicationIdDataGridViewTextBoxColumn1,
+            this.membershipDataGridViewTextBoxColumn,
+            this.applicationIdDataGridViewTextBoxColumn,
             this.userIdDataGridViewTextBoxColumn,
             this.userNameDataGridViewTextBoxColumn,
@@ -100,55 +237,8 @@
             this.dgvUsers.DataSource = this.bsUsers;
             this.dgvUsers.Dock = System.Windows.Forms.DockStyle.Fill;
-            this.dgvUsers.Location = new System.Drawing.Point(3, 16);
-            this.dgvUsers.MultiSelect = false;
+            this.dgvUsers.Location = new System.Drawing.Point(3, 3);
             this.dgvUsers.Name = "dgvUsers";
-            this.dgvUsers.ReadOnly = true;
-            this.dgvUsers.ShowCellErrors = false;
-            this.dgvUsers.ShowCellToolTips = false;
-            this.dgvUsers.ShowEditingIcon = false;
-            this.dgvUsers.ShowRowErrors = false;
-            this.dgvUsers.Size = new System.Drawing.Size(1094, 230);
-            this.dgvUsers.TabIndex = 0;
-            // 
-            // btnUserNew
-            // 
-            this.btnUserNew.Location = new System.Drawing.Point(3, 3);
-            this.btnUserNew.Name = "btnUserNew";
-            this.btnUserNew.Size = new System.Drawing.Size(75, 23);
-            this.btnUserNew.TabIndex = 1;
-            this.btnUserNew.Text = "New";
-            this.btnUserNew.UseVisualStyleBackColor = true;
-            this.btnUserNew.Click += new System.EventHandler(this.btnUserNew_Click);
-            // 
-            // btnUserModify
-            // 
-            this.btnUserModify.Location = new System.Drawing.Point(84, 3);
-            this.btnUserModify.Name = "btnUserModify";
-            this.btnUserModify.Size = new System.Drawing.Size(75, 23);
-            this.btnUserModify.TabIndex = 2;
-            this.btnUserModify.Text = "Modify";
-            this.btnUserModify.UseVisualStyleBackColor = true;
-            this.btnUserModify.Click += new System.EventHandler(this.btnUserModify_Click);
-            // 
-            // btnUserDelete
-            // 
-            this.btnUserDelete.Location = new System.Drawing.Point(165, 3);
-            this.btnUserDelete.Name = "btnUserDelete";
-            this.btnUserDelete.Size = new System.Drawing.Size(75, 23);
-            this.btnUserDelete.TabIndex = 3;
-            this.btnUserDelete.Text = "Delete";
-            this.btnUserDelete.UseVisualStyleBackColor = true;
-            this.btnUserDelete.Click += new System.EventHandler(this.btnUserDelete_Click);
-            // 
-            // grpRoles
-            // 
-            this.grpRoles.Controls.Add(this.dgvRoles);
-            this.grpRoles.Dock = System.Windows.Forms.DockStyle.Fill;
-            this.grpRoles.Location = new System.Drawing.Point(0, 0);
-            this.grpRoles.Name = "grpRoles";
-            this.grpRoles.Size = new System.Drawing.Size(1100, 243);
-            this.grpRoles.TabIndex = 5;
-            this.grpRoles.TabStop = false;
-            this.grpRoles.Text = "Roles";
+            this.dgvUsers.Size = new System.Drawing.Size(1086, 288);
+            this.dgvUsers.TabIndex = 1;
             // 
             // dgvRoles
@@ -156,100 +246,50 @@
             this.dgvRoles.AllowUserToAddRows = false;
             this.dgvRoles.AllowUserToDeleteRows = false;
-            this.dgvRoles.AllowUserToResizeColumns = false;
-            this.dgvRoles.AllowUserToResizeRows = false;
             this.dgvRoles.AutoGenerateColumns = false;
             this.dgvRoles.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
             this.dgvRoles.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
-            this.applicationIdDataGridViewTextBoxColumn,
-            this.RoleId,
-            this.RoleName,
-            this.LoweredRoleName,
-            this.Description});
+            this.roleIdDataGridViewTextBoxColumn,
+            this.roleNameDataGridViewTextBoxColumn,
+            this.loweredRoleNameDataGridViewTextBoxColumn,
+            this.descriptionDataGridViewTextBoxColumn});
             this.dgvRoles.DataSource = this.bsRoles;
             this.dgvRoles.Dock = System.Windows.Forms.DockStyle.Fill;
-            this.dgvRoles.Location = new System.Drawing.Point(3, 16);
+            this.dgvRoles.Location = new System.Drawing.Point(3, 3);
             this.dgvRoles.MultiSelect = false;
             this.dgvRoles.Name = "dgvRoles";
-            this.dgvRoles.ReadOnly = true;
-            this.dgvRoles.Size = new System.Drawing.Size(1094, 224);
-            this.dgvRoles.TabIndex = 1;
-            // 
-            // btnRoleNew
-            // 
-            this.btnRoleNew.Location = new System.Drawing.Point(3, 3);
-            this.btnRoleNew.Name = "btnRoleNew";
-            this.btnRoleNew.Size = new System.Drawing.Size(75, 23);
-            this.btnRoleNew.TabIndex = 6;
-            this.btnRoleNew.Text = "New";
-            this.btnRoleNew.UseVisualStyleBackColor = true;
-            this.btnRoleNew.Click += new System.EventHandler(this.btnRoleNew_Click);
-            // 
-            // btnRoleModify
-            // 
-            this.btnRoleModify.Location = new System.Drawing.Point(84, 3);
-            this.btnRoleModify.Name = "btnRoleModify";
-            this.btnRoleModify.Size = new System.Drawing.Size(75, 23);
-            this.btnRoleModify.TabIndex = 7;
-            this.btnRoleModify.Text = "Modify";
-            this.btnRoleModify.UseVisualStyleBackColor = true;
-            this.btnRoleModify.Click += new System.EventHandler(this.btnRoleModify_Click);
-            // 
-            // btnRoleDelete
-            // 
-            this.btnRoleDelete.Location = new System.Drawing.Point(165, 3);
-            this.btnRoleDelete.Name = "btnRoleDelete";
-            this.btnRoleDelete.Size = new System.Drawing.Size(75, 23);
-            this.btnRoleDelete.TabIndex = 8;
-            this.btnRoleDelete.Text = "Delete";
-            this.btnRoleDelete.UseVisualStyleBackColor = true;
-            this.btnRoleDelete.Click += new System.EventHandler(this.btnRoleDelete_Click);
-            // 
-            // scMain
-            // 
-            this.scMain.Dock = System.Windows.Forms.DockStyle.Fill;
-            this.scMain.Location = new System.Drawing.Point(0, 0);
-            this.scMain.Name = "scMain";
-            this.scMain.Orientation = System.Windows.Forms.Orientation.Horizontal;
-            // 
-            // scMain.Panel1
-            // 
-            this.scMain.Panel1.Controls.Add(this.grpUsers);
-            this.scMain.Panel1.Controls.Add(this.panel1);
-            // 
-            // scMain.Panel2
-            // 
-            this.scMain.Panel2.Controls.Add(this.grpRoles);
-            this.scMain.Panel2.Controls.Add(this.panel2);
-            this.scMain.Size = new System.Drawing.Size(1100, 556);
-            this.scMain.SplitterDistance = 278;
-            this.scMain.TabIndex = 9;
+            this.dgvRoles.Size = new System.Drawing.Size(1086, 288);
+            this.dgvRoles.TabIndex = 2;
             // 
             // panel1
             // 
-            this.panel1.Controls.Add(this.btnUserNew);
-            this.panel1.Controls.Add(this.btnUserDelete);
-            this.panel1.Controls.Add(this.btnUserModify);
-            this.panel1.Dock = System.Windows.Forms.DockStyle.Bottom;
-            this.panel1.Location = new System.Drawing.Point(0, 249);
+            this.panel1.Controls.Add(this.label1);
+            this.panel1.Dock = System.Windows.Forms.DockStyle.Fill;
+            this.panel1.Location = new System.Drawing.Point(0, 0);
             this.panel1.Name = "panel1";
-            this.panel1.Size = new System.Drawing.Size(1100, 29);
-            this.panel1.TabIndex = 4;
-            // 
-            // panel2
-            // 
-            this.panel2.Controls.Add(this.btnRoleNew);
-            this.panel2.Controls.Add(this.btnRoleModify);
-            this.panel2.Controls.Add(this.btnRoleDelete);
-            this.panel2.Dock = System.Windows.Forms.DockStyle.Bottom;
-            this.panel2.Location = new System.Drawing.Point(0, 243);
-            this.panel2.Name = "panel2";
-            this.panel2.Size = new System.Drawing.Size(1100, 31);
-            this.panel2.TabIndex = 9;
-            // 
-            // applicationIdDataGridViewTextBoxColumn1
-            // 
-            this.applicationIdDataGridViewTextBoxColumn1.DataPropertyName = "ApplicationId";
-            this.applicationIdDataGridViewTextBoxColumn1.HeaderText = "ApplicationId";
-            this.applicationIdDataGridViewTextBoxColumn1.Name = "applicationIdDataGridViewTextBoxColumn1";
+            this.panel1.Size = new System.Drawing.Size(1100, 47);
+            this.panel1.TabIndex = 0;
+            // 
+            // label1
+            // 
+            this.label1.Dock = System.Windows.Forms.DockStyle.Fill;
+            this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 14.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.label1.Location = new System.Drawing.Point(0, 0);
+            this.label1.Name = "label1";
+            this.label1.Size = new System.Drawing.Size(1100, 47);
+            this.label1.TabIndex = 0;
+            this.label1.Text = "Heuristic Lab User Management";
+            this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+            // 
+            // membershipDataGridViewTextBoxColumn
+            // 
+            this.membershipDataGridViewTextBoxColumn.DataPropertyName = "Membership";
+            this.membershipDataGridViewTextBoxColumn.HeaderText = "Membership";
+            this.membershipDataGridViewTextBoxColumn.Name = "membershipDataGridViewTextBoxColumn";
+            // 
+            // applicationIdDataGridViewTextBoxColumn
+            // 
+            this.applicationIdDataGridViewTextBoxColumn.DataPropertyName = "ApplicationId";
+            this.applicationIdDataGridViewTextBoxColumn.HeaderText = "ApplicationId";
+            this.applicationIdDataGridViewTextBoxColumn.Name = "applicationIdDataGridViewTextBoxColumn";
             // 
             // userIdDataGridViewTextBoxColumn
